{
  "type": "minecraft:block",
  "pools": [
    {
      "rolls": 1,
      "entries": [
        {
          "type": "minecraft:item",
          "name": "minecraft:poisonous_potato",
          "functions": [
            {
              "function": "set_components",
              "components": {
                  "minecraft:item_name": {
                    "translate": "item.overlyrealistic.fried_egg",
                    "fallback": "Fried Egg",
                    "color": "white"
                  },
                  "item_model": "overlyrealistic:items/foods/fried_egg",
                  "custom_data": {
                    "or_edited_item": true,
                    "or_is_food": true,
                    "or_food_type": "fried_egg",
                    "or_food_rawness_type": "cooked",
                    "or_food_category": "egg",
                    "or_food_sub_category": "fried"
                  },
                  "max_stack_size": 1,
                  "max_damage": 10000,
                  "damage": 1,
                  "food": {
                      "nutrition": 5,
                      "saturation": 4,
                      "can_always_eat": true
                  },
                  "consumable": {
                      "consume_seconds": 2.1
                  }
              }
            }
          ]
        }
      ]
    }
  ]
}